Bug 208647 - [WPE][GTK] Use Firefox user agent quirk more aggressively on Google Docs
Summary: [WPE][GTK] Use Firefox user agent quirk more aggressively on Google Docs
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: PC Linux
: P2 Normal
Assignee: Michael Catanzaro
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-05 09:35 PST by Michael Catanzaro
Modified: 2020-03-26 16:44 PDT (History)
4 users (show)

See Also:


Attachments
Patch (3.29 KB, patch)
2020-03-05 09:36 PST, Michael Catanzaro
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Catanzaro 2020-03-05 09:35:18 PST
In bug #206506, I had determined that we need to send a Firefox user agent quirk to accounts.youtube.com to avoid unsupported browser warnings on Google Docs. Either the user agent check has since become more aggressive, or it somehow depends on factors I don't understand, but as of today it's no longer enough. We now need the quirk for docs.google.com as well.

For earlier history, see: bug #171941, bug #199153.
Comment 1 Michael Catanzaro 2020-03-05 09:36:42 PST
Created attachment 392588 [details]
Patch
Comment 2 Michael Catanzaro 2020-03-05 09:52:41 PST
(In reply to Michael Catanzaro from comment #0)
> Either the user agent check has since become more aggressive,
> or it somehow depends on factors I don't understand

I think my original quirk is only sufficient for Docs, not for Sheets or Slides.
Comment 3 WebKit Commit Bot 2020-03-06 01:49:59 PST
Comment on attachment 392588 [details]
Patch

Clearing flags on attachment: 392588

Committed r257972: <https://trac.webkit.org/changeset/257972>
Comment 4 WebKit Commit Bot 2020-03-06 01:50:01 PST
All reviewed patches have been landed.  Closing bug.